.input_err{background:#ffcdd2 !important;transition:background 0.5s ease-in-out;}

.notyn{position:fixed;bottom:6em;right:0;max-width:320px;z-index:10000000}
.notyf{margin-bottom:.6em;color:#fff;float:right;min-width:200px;padding:1em 3em 1em 3.4em;box-shadow:-3px 3px 6px rgba(0,0,0,.1);transform:translateX(1.5em);transition:.3s;-webkit-backdrop-filter:saturate(5) blur(20px);backdrop-filter:saturate(5) blur(20px);-webkit-animation:notyf .4s cubic-bezier(.35,.71,.46,1.08);animation:notyf .4s cubic-bezier(.35,.71,.46,1.08)}
.notyn-out .notyf{transform:translateX(110%);opacity:.5;transition:.5s}
@-webkit-keyframes notyf{0%{transform:translateX(110%);opacity:0} 100%{transform:translateX(1.5em);opacity:1}}
@keyframes notyf{0%{transform:translateX(110%);opacity:0} 100%{transform:translateX(1.5em);opacity:1}}
@keyframes huan-rotate{0%{transform:rotate(0);}to{transform:rotate(360deg);}}
.notyf:before{left:.8em;font-size:1.5em;position:absolute;top:0;bottom:0;margin:auto;height:20px;line-height:20px;}
.notyf.success{background:linear-gradient(90deg,rgba(15,147,249,.7),rgba(61,189,249,.8))}
.notyf.success:before{content:'\2714'}
.notyf.info{background:linear-gradient(90deg,rgba(58,162,54,.8),rgba(89,247,131,.8))}
.notyf.info:before{content:'\2605'}
.notyf.load,.notyf.warning{background:linear-gradient(90deg,rgba(253,170,71,.7),rgba(247,154,13,.8))}
.notyf.load:before{content:'\2605';animation:huan-rotate 1s cubic-bezier(.7,.1,.31,.9) infinite;}
.notyf.warning:before{content:'\2716'}
.notyf.danger{background:linear-gradient(90deg,rgba(253,69,28,.7),rgba(251,110,75,.8))}
.notyf.danger:before{content:'\2716'}
.notyf .fa-close{float:right;padding:.6em;margin:-.4em}




.fvm{display:flex;justify-content:center;align-items:center;}
.vpic{display:flex;justify-content:center;align-items:center;}
.vpic img{max-height:100%;max-width:100%;width:100%;height:100%;object-fit:contain;}
.vpic{height:200px;}

.pagelist{text-align:center;padding-top:20px;margin-right:20px;}
.pagelist li{display:inline-block;border:solid 1px #eee;margin-right:2px;}
.pagelist li{*display:inline;}
.pagelist a{display:inline-block;padding:4px 12px;color:#666;background:#eee;text-decoration:none;}
.pagelist li a:hover{background:#ccc}
.pagelist li.on a{background:#333;color:#fff;border:1px solid #333}
.pagelist li.disabled{border-color:#999;display:none}
.pagelist li.disabled a{background:#C0C0C0;color:#999;cursor:no-drop;pointer-events:none}

.vcode{vertical-align:top;display:inline-block;height:52px;cursor:pointer;width:auto;pointer-events:auto}

.fav0:before{content:"\e6f0";}
.fav1:before{content:"\2764";color:#d50000}